//  main: main.less, out: ../style.css


/* ====================================================================================================================================
FONT IMPORT
======================================================================================================================================*/

@import url('https://fonts.googleapis.com/css?family=Muli:300,700,800&display=swap');

@font-face {
	font-family: 'AngleciaProDisplay';
    src: url('fonts/AngleciaProDisplayLight.eot');
    src: local('☺'), 
        url('fonts/AngleciaProDisplayLight.woff') format('woff'), 
        url('fonts/AngleciaProDisplayLight.ttf') format('truetype'), 
        url('fonts/AngleciaProDisplayLight.svg') format('svg');
	font-weight: normal;
	font-style: normal;
}
@font-face {
	font-family: 'AngleciaProDisplay';
	src: url('fonts/AngleciaProDisplayMedium.eot');
    src: local('☺'), 
        url('fonts/AngleciaProDisplayMedium.woff') format('woff'), 
        url('fonts/AngleciaProDisplayMedium.ttf') format('truetype'), 
        url('fonts/AngleciaProDisplayMedium.svg') format('svg');
	font-weight: 500;
	font-style: normal;
}
@font-face {
	font-family: 'AngleciaProDisplay';
	src: url('fonts/AngleciaProDisplaySemiBold.eot');
    src: local('☺'), 
        url('fonts/AngleciaProDisplaySemiBold.woff') format('woff'), 
        url('fonts/AngleciaProDisplaySemiBold.ttf') format('truetype'), 
        url('fonts/AngleciaProDisplaySemiBold.svg') format('svg');
	font-weight: 800;
	font-style: normal;
}


@font_base : 'Muli', sans-serif;
@font_titles: 'AngleciaProDisplay', sans-serif;

/* ====================================================================================================================================
FONT RULES
======================================================================================================================================*/
body {
    font-family: @font_base;
    font-weight: @font_w__l;
}

html {
    font-family: @font_base;
    font-size: @size__s;
    color: @color__text;
    @media @media_smartphone {
        font-size: @size__r + 1;
    } 
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: @font_titles;
    color: @color__primary;
    line-height: 1.2em;
}

h1 {
    font-size: @size__title;
    font-weight: @font_w__m;
    @media @media_landascape {
        font-size: @size__xxxl;
    }
    @media @media_smartphone,
    @media_tablet {
        font-size: @size__xl;
    }
}

h2 {
    position: relative;
    font-size: @size__xxl;
    margin-bottom: 2.5rem;
    &:after {
        position: absolute;
        content: '/';
        height: 1.5rem;
        font-size: 1.5rem;
        line-height: 1.5rem;
        width: 100%;
        bottom: -1.5rem;
        left: 0;
    }
    @media @media_tablet {
        font-size: @size__xl;
    }
    @media @media_smartphone {
        font-size: @size__l;
    }
}

h3 {
    font-size: @size__xl;

    @media @media_smartphone,
    @media_tablet {
        font-size: @size__m;
    }
}

h4 {
    font-size: @size__l;

    @media @media_smartphone,
    @media_tablet {
        font-size: @size__m;
    }
}

h5 {
    font-size: @size__m;
    text-decoration: underline;
    @media @media_smartphone,
    @media_tablet {
        font-size: @size__m;
    }
}

strong {
    font-weight: @font_w__k;
}